package com.hz.pm.api.gov.utils;

import com.hz.pm.api.common.model.constant.CommonConst;
import org.apache.commons.lang3.StringUtils;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Objects;

/**
 * @Classname ProjectCollectionUtil
 * @Description
 * @Date 2023/9/14 9:07
 * @Author PoffyZhang
 */
public class ProjectCollectionUtil {

    private ProjectCollectionUtil() {
    }

    public static String convertLocalDateTime(LocalDateTime localDateTime){
        if(Objects.isNull(localDateTime)){
            return StringUtils.EMPTY;
        }
        return localDateTime.format(DateTimeFormatter.ofPattern(CommonConst.NORMAL_TIME_PATTERN));
    }

}
